Subject: how to create a 'restricted' screen

From: "Môshe Van der Sterre" <[email-masked]>
Date: Mon, 11 Aug 2008 11:15:28 +0200

Hello,

I want some of my users to have access to an serial console / control
script, but make it unable for them to use a normal shell.
I'll probably make use of bash or dash for the control script, and it
manages opening the serial console and some other stuff,
the serial console is supposed to run for a long time, hence I like to
use screen.

I would like disable any possibility to open a 'normal' shell, but I
can't find how to do this.
It would we nice if I could completely disable the CTRL + a binding,
leaving detaching to the autodetach feature.

Can someone tell me if and how this can be done?

-- 
Greetings,
Môshe van der Sterre
_______________________________________________
screen-users mailing list
[email-masked]
http://lists.gnu.org/mailman/listinfo/screen-users